FROM python:3.10-slim

# Install system dependencies
RUN apt-get update

RUN apt-get install -y \
    ffmpeg

# Expose the application port
EXPOSE 8000

# Set the application working directory
WORKDIR /app

# Install the app's dependencies
RUN pip install --upgrade pip
COPY requirements.txt .
RUN pip install -r requirements.txt
COPY *.py ./
RUN python install.py

# Run the application
CMD ["uvicorn", "main:app", "--host", "0.0.0.0", "--port", "8000"]